%global _smp_mflags -j1

%global srcname editorconfig-core-c

Name:           editorconfig
Summary:        Parser for EditorConfig files written in C
Version:        0.12.5
Release:        1
License:        BSD
URL:            https://github.com/editorconfig/editorconfig-core-c
Source0:        https://github.com/editorconfig/editorconfig-core-c/archive/v%{version}/%{srcname}-%{version}.tar.gz

BuildRequires:  cmake doxygen gcc pcre2-devel

Requires:       %{name}-libs%{?_isa} = %{version}-%{release}

%description
EditorConfig makes it easy to maintain the correct coding style when
switching between different text editors and between different projects.
The EditorConfig project maintains a file format and plugins for various
text editors which allow this file format to be read and used by those
editors.

%package        libs
Summary:        Parser library for EditorConfig files (shared library)
%description    libs 
EditorConfig makes it easy to maintain the correct coding style when
switching between different text editors and between different projects.
The EditorConfig project maintains a file format and plugins for various
text editors which allow this file format to be read and used by those
editors.
This package contains the shared library.


%package        devel
Summary:        Parser library for EditorConfig files (development files)
Requires:       %{name}-libs%{?_isa} = %{version}-%{release}
Requires:       cmake

%description    devel
EditorConfig makes it easy to maintain the correct coding style when
switching between different text editors and between different projects.
The EditorConfig project maintains a file format and plugins for various
text editors which allow this file format to be read and used by those
editors.
This package contains the files needed for development.

%prep
%autosetup -n %{srcname}-%{version} -p1

%build
%cmake
%make_build

%install
%make_install

rm %{buildroot}/%{_libdir}/libeditorconfig_static.a

%files
%doc README.md
%license LICENSE
%{_bindir}/editorconfig
%{_bindir}/editorconfig-%{version}
%{_mandir}/man1/editorconfig.1.*

%files libs
%doc README.md
%license LICENSE
%{_libdir}/libeditorconfig.so.0*
%{_mandir}/man3/editorconfig*
%{_mandir}/man5/editorconfig*

%files devel
%{_includedir}/editorconfig/
%{_libdir}/libeditorconfig.so
%{_libdir}/cmake/EditorConfig/
%{_libdir}/pkgconfig/editorconfig.pc


%changelog
* Mon Jan 02 2023 lin zhang <lin.zhang@turbolinux.com.cn> - 0.12.5-1
- Init Packaging
